#
# Simple Python test program to use the RedRatHub.
#
# Ethan Johnson, David Blight, Chris Dodge - RedRat Ltd.
#
import RedRatHub
import time
import sys

client = RedRatHub.Client()
ControllerIP = sys.argv[1]
iRHubIP = sys.argv[2]
SignalName = sys.argv[3]
SignalChnl = sys.argv[4]



# Connect to the RedRatHub..IP address of the Controller device
client.OpenSocket(''+ControllerIP+'', 40000)

# Send some IR signals
#ipaddress of the iRNet Hub itself
client.SendMessage('"ip="'+ iRHubIP +'" dataset="YouViewBox" signal="' + SignalName + '"output="' + SignalChnl + '"')
print("Sent signal\n")
time.sleep(4)

# List the datasets known by the hub
print("List of datasets:")
list = client.ReadData('hubquery="list datasets"')
print(list)

client.CloseSocket()
